var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, ContentChildren, QueryList } from '@angular/core';
import { WizardStepComponent } from "./wizard-step/wizard-step.component";
export var WizardStepsComponent = (function () {
    function WizardStepsComponent() {
        this._currentStep = 1;
    }
    WizardStepsComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        this.stepElements.forEach(function (stepElement, index) {
            stepElement.stepId = index + 1;
            stepElement.currentStep = _this._currentStep;
        });
    };
    WizardStepsComponent.prototype.next = function () {
        var isLastStep = this._currentStep == this.stepElements.length;
        if (!isLastStep) {
            this._currentStep += 1;
            this.setElementsCurrentStep();
        }
    };
    WizardStepsComponent.prototype.back = function () {
        var isFirstStep = this._currentStep == 1;
        if (!isFirstStep) {
            this._currentStep -= 1;
            this.setElementsCurrentStep();
        }
    };
    WizardStepsComponent.prototype.setElementsCurrentStep = function () {
        var _this = this;
        this.stepElements.forEach(function (stepElement) {
            stepElement.currentStep = _this._currentStep;
        });
    };
    __decorate([
        ContentChildren(WizardStepComponent), 
        __metadata('design:type', QueryList)
    ], WizardStepsComponent.prototype, "stepElements", void 0);
    WizardStepsComponent = __decorate([
        Component({
            selector: 'mcr-wizard-steps',
            template: "\n    <div class=\"wizard-steps\">\n      <div class=\"wizard-steps-legend-container\">\n        <div class=\"wizard-steps-legend-item\" *ngFor=\"let step of stepElements; let isLast = last; let i = index\">\n          <div class=\"wizard-steps-legend-circle\">\n            <div class=\"wizard-steps-legend-circle-text\">{{i + 1}}</div>\n            <div>{{step.title}}</div>\n          </div>\n          <div *ngIf=\"!isLast\" class=\"wizard-steps-legend-separator\"></div>\n        </div>\n      </div>\n      <div class=\"wizard-steps-container\">\n        <ng-content></ng-content>\n      </div>\n    </div>\n  ",
            styles: [require('./wizard-steps.component.scss')]
        }), 
        __metadata('design:paramtypes', [])
    ], WizardStepsComponent);
    return WizardStepsComponent;
}());
//# sourceMappingURL=C:/Projects/components-tester/components/wizard/wizard-steps/wizard-steps.component.js.map